%CREATE_IMAGE   Used in ROTATIONINV

% Author:
% Cris Luengo, Centre for Image Analysis, Uppsala, Sweden.
% Copyright 2008-2009.
%
% This code may be used freely for research purposes only. Do not
% copy or distribute without the prior written consent by the author.

function out = create_image(t_phi,t_l)
out = newim(256,256);
s = 1;
for ii=30:20:225
   for jj=27:50:227 % 50:50:200
      x = xx(out,'corner')-jj+randn(1)/2;
      y = yy(out,'corner')-ii+randn(1)/2;
      rx = x*cos(t_phi) + y*sin(t_phi);
      rx = (t_l/2)-abs(rx);
      ry = y*cos(t_phi) - x*sin(t_phi);
      tmp = rx;
      rx(abs(ry)>4*s) = -inf;  % avoid computations
      ry(tmp<-4) = -inf;       % avoid computations
      a1 = gaussianedgeclip(rx,1);
      a2 = gaussianlineclip(ry,s,1);
      out = max(out,a1*a2);
   end
end
