%LOGLOGPLOTSTATS   Used in TIME_ACCURACY

% Author:
% Cris Luengo, Centre for Image Analysis, Uppsala, Sweden.
% Copyright 2008-2009.
%
% This code may be used freely for research purposes only. Do not
% copy or distribute without the prior written consent by the author.


function h = loglogplotstats(x,y,marker,linewidth,color)
x = log(mean(x));
my = log(mean(y));
y = log(y);
plot(x,min(y),'k.','color',color);
plot(x,max(y),'k.','color',color);
h = errorbar(x,my,my-percentile(y,10),percentile(y,90)-my,'k-','color',color,'linewidth',1);
setTwidth(h)
h = errorbar(x,my,my-percentile(y,25),percentile(y,75)-my,'k-','marker',marker,'color',color,'linewidth',linewidth,'markersize',7,'markerfacecolor','auto');
setTwidth(h)

function setTwidth(h)
h = get(h,'children');
xdata = get(h(2),'xdata');
xdata([4,7])=xdata(1)+0.05;
xdata([5,8])=xdata(1)-0.05;
set(h(2),'xdata',xdata)          % we need to make this T-bar wider, it's not calculating it right because there's only one data point
