%MAKE_TESTIM   Used in TIME_ACCURACY

% Author:
% Cris Luengo, Centre for Image Analysis, Uppsala, Sweden.
% Copyright 2008-2009.
%
% This code may be used freely for research purposes only. Do not
% copy or distribute without the prior written consent by the author.


function img = make_testim

imsz = [512,512];

% Choose a random angle. Make sure it's not too close to 0 or 45 degrees.
angle = pi/4;
while abs(angle-pi/4)<2/30
   angle = rand*(pi/2 - 4/30) + 2/30;
end

edge = min(imsz)/2-5;

xim = xx(imsz);
yim = yy(imsz);

outx = newim(imsz)+255;
outy = outx;
for o = -edge:20:edge
   a = angle+rand/30;
   x = xim*cos(a)+yim*sin(a);
   a = angle+rand/30;
   y = xim*sin(angle)-yim*cos(angle);
   outx = min(outx,abs(x-o+randn/3));
   outy = min(outy,abs(y-o+randn/3));
end
img = 255*gaussianlineclip(min(outx,outy),1.2,1);

window = 255*gaussianedgeclip(rr(imsz)-edge);
img = max(img,window);
