/*
 * Filename: pathopening.h
 *
 * Declarations of functions defined in pathopening_commoncode.c
 *
 * Author:
 * Cris Luengo, Centre for Image Analysis, Uppsala, Sweden.
 * Copyright 2008-2009.
 *
 * This and accompanying files contain code exactly as it is in DIPlib
 * for the functions dip_DirectedPathOpening() and dip_PathOpening().
 * Here we modified only the function names to avoid name conflicts
 * when linking against DIPlib.
 *
 * This code may be used freely for research purposes only. Do not
 * copy or distribute without the prior written consent by the author.
 *
 */

#ifndef DIP_TPI

#define DIP__PO_ACTIVE    1
#define DIP__PO_QUEUED    2
#define DIP__PO_CHANGED   4

dip_Error DCPY__MakeNeighbourLists
            ( dip_IntegerArray, dip_IntegerArray, dip_IntegerArray, dip_IntegerArray );

dip_Error DCPY__IndicesArrayCreate
            ( dip_IntegerArray, dip_IntegerArray, dip_int**, dip_int*, dip_Resources );

dip_Error DCPY__IndicesArrayCreateMask
            ( dip_Image, dip_IntegerArray, dip_int**, dip_int*, dip_Resources);

#define DIP_TPI_ALLOW DIP_DTGID_REAL
#define DIP_TPI_FILE "pathopening.h"
#include "dip_tpi.h"

#else

DIP_TPI_DECLARE(DCPY__ConstrainedPathOpening)
            ( DIP_TPI*, dip_bin8*, dip_uint16*, dip_uint16*, dip_uint16*, dip_uint16*,
              dip_int*, dip_int, dip_IntegerArray, dip_IntegerArray, dip_int );

DIP_TPI_DECLARE(DCPY__PathOpening)
            ( DIP_TPI*, dip_bin8*, dip_uint16*, dip_uint16*,
              dip_int*, dip_int, dip_IntegerArray, dip_IntegerArray, dip_int );

#endif
